/**
 * Copyright (c) 2013-2024, MindFusion LLC - Bulgaria.
 */

import java.awt.Color;
import com.mindfusion.diagramming.GlassEffectType;


class Preset
{
	@Override()
	public String toString()
	{
		if (Name == null)
			return "(untitled)";

		return Name;
	}

	public String Name;

	// Glass
	public boolean UseGlassEffect;
	public GlassEffectType GlassEffectType;
	public boolean UsePenAsGlow;
	public Color GlowColor;
	public Color ReflectionColor;

	// Aero
	public boolean UseAeroEffect;
	public int Opacity;
	public Color InnerOutlineColor;
	public Color ShadeColor;

	// Misc
	public Color DiagramBackground;
	public Color ShapeBorder;
	public Color ShapeBackground1;
	public boolean UseShapeBackground2;
	public Color ShapeBackground2;
}